Bug 238528 - RFE: always include usb-storage
RFE: always include usb-storage
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-30 23:46 EDT by Bill Nottingham
Modified: 2014-03-16 23:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-17 15:13:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-04-30 23:46:56 EDT
We already include the USB host controller modules in the initrd, for the cases
of USB mice and keyboard.

If we always included usb-storage, than rebooting would Just Work when you move
a drive from being internal to an external enclosure - it wouldn't require a
remade initrd.

(Yes, this leaves firewire out for now.)
Comment 1 Joachim Frieben 2007-07-03 10:44:03 EDT
With a "USB" stick inserted in a "USB" port of my "PR440FX" mainboard
and running kernel "2.6.21-1.3228.fc7", I obtain:

  "libusual: modprobe for usb-storage succeeded, but module is not
   present"

in the "dmesg" log file, and there is actually no trace of the "USB"
device in it.
Only after loading "usb-storage.ko" -manually-, I succeed in having
the "USB" stick appear in "dmesg" and being able to mount it by hand
[yes, it's not mounted by "hal" (?) but this requires a different
bug report, I suppose]. I suppose this problem would disappear if
"usb-storage.ko" were included in the "initrd" file.
Comment 2 Jon Stanley 2008-04-23 16:30:17 EDT
Adding FutureFeature keyword to RFE's.
Comment 3 John Poelstra 2008-08-27 23:37:03 EDT
What is your take on this Peter?
Comment 4 Peter Jones 2009-02-17 15:13:45 EST
If we always want this included, we should be building it in to the kernel.

Note You need to log in before you can comment on or make changes to this bug.